<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Chapitre 8. Mise à jour de paquet</title>
    <link rel="stylesheet" type="text/css" href="debian.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.fr.html" title="Guide du nouveau responsable Debian"/>
    <link rel="up" href="index.fr.html" title="Guide du nouveau responsable Debian"/>
    <link rel="prev" href="checkit.fr.html" title="Chapitre 7. Contrôle des erreurs du paquet"/>
    <link rel="next" href="upload.fr.html" title="Chapitre 9. Envoi de paquet"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Chapitre 8. Mise à jour de paquet</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="checkit.fr.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="upload.fr.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="chapter">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="update"/>Chapitre 8. Mise à jour de paquet</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="update.fr.html#newrevision">8.1. Nouvelle révision Debian</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="update.fr.html#inspectnewupstream">8.2. Examen d'une nouvelle version amont</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="update.fr.html#newupstream">8.3. Nouvelle version amont</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="update.fr.html#packagestyle">8.4. Mise à jour du style d'empaquetage</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="update.fr.html#utf8">8.5. Conversion en UTF-8</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="update.fr.html#reminders">8.6. Rappels pour la mise à jour de paquets</a>
            </span>
          </dt>
        </dl>
      </div>
      <p>
Après la publication d'un paquet, il sera rapidement nécessaire de le mettre
à jour.
</p>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="newrevision"/>8.1. Nouvelle révision Debian</h2>
            </div>
          </div>
        </div>
        <p>
Soit un rapport de bogue numéroté <code class="literal">#654321</code>, concernant
votre paquet et décrivant un problème que vous pouvez résoudre. Voici ce que
vous devez faire pour créer une nouvelle révision du paquet :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
pour un nouveau correctif :
</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>
configurer le nom du correctif : <code class="literal">dquilt new
<em class="replaceable"><code>nomdubogue.patch</code></em></code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
déclarer le fichier à modifier : <code class="literal">dquilt add
<em class="replaceable"><code>fichier-bogué</code></em></code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
corriger le problème dans le paquet source pour le bogue amont ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
l'enregistrer en
<code class="filename"><em class="replaceable"><code>nomdubogue.patch</code></em></code> :
<code class="literal">dquilt refresh</code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
ajouter sa description : <code class="literal">dquilt header -e</code> ;
</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>
pour la mise à jour d'un correctif :
</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>
rappeler le correctif
<code class="filename"><em class="replaceable"><code>toto.patch</code></em></code> existant :
<code class="literal">dquilt pop <em class="replaceable"><code>toto.patch</code></em></code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
corriger le problème dans l'ancien
<code class="filename"><em class="replaceable"><code>toto.patch</code></em></code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
mettre à jour <code class="filename"><em class="replaceable"><code>toto.patch</code></em></code> :
<code class="literal">dquilt refresh</code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
mettre à jour sa description : <code class="literal">dquilt header -e</code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
appliquer tous les correctifs en enlevant les approximations
(<span class="emphasis"><em>fuzz</em></span>) : <code class="literal">while dquilt push; do dquilt refresh;
done</code> ;
</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>
ajouter une nouvelle révision au début du fichier
<code class="filename">changelog</code> Debian, par exemple avec <code class="literal">dch
-i</code>, ou explicitement avec <code class="literal">dch -v
<em class="replaceable"><code>version</code></em>-<em class="replaceable"><code>révision</code></em></code>,
et ajoutez ensuite les commentaires en utilisant votre éditeur
favori ;<a href="#ftn.idp39901104" class="footnote" id="idp39901104"><sup class="footnote">[78]</sup></a>
</p>
            </li>
            <li class="listitem">
              <p>
ajouter une courte description du bogue et de la solution dans l'entrée du
changelog, suivie par <code class="literal">Closes: #654321</code>. De cette manière,
le rapport de bogue sera <span class="emphasis"><em>automagiquement</em></span> fermé par le
logiciel de maintenance des archives une fois le paquet accepté dans
l'archive Debian ;
</p>
            </li>
            <li class="listitem">
              <p>
répéter les opérations précédentes pour corriger plus de bogues tout en
mettant à jour le fichier <code class="filename">changelog</code> avec
<code class="literal">dch</code> selon votre besoin ;
</p>
            </li>
            <li class="listitem">
              <p>
recommencer ce qui a été fait en <a class="xref" href="build.fr.html#completebuild" title="6.1. Reconstruction complète">Section 6.1, « Reconstruction complète »</a> et <a class="xref" href="checkit.fr.html" title="Chapitre 7. Contrôle des erreurs du paquet">Chapitre 7, <em>Contrôle des erreurs du paquet</em></a> ;
</p>
            </li>
            <li class="listitem">
              <p>
une fois satisfait, modifier la valeur de distribution dans
<code class="filename">changelog</code> d'<code class="literal">UNRELEASED</code> à la valeur
de distribution cible <code class="literal">unstable</code> (ou même
<code class="literal">experimental</code>). <a href="#ftn.idp39910880" class="footnote" id="idp39910880"><sup class="footnote">[79]</sup></a>
</p>
            </li>
            <li class="listitem">
              <p>
envoyer le paquet comme en <a class="xref" href="upload.fr.html" title="Chapitre 9. Envoi de paquet">Chapitre 9, <em>Envoi de paquet</em></a>. La différence est que
cette fois, l'archive source originale ne sera pas incluse, car elle n'a pas
été modifiée et est déjà dans l'archive Debian.
</p>
            </li>
          </ul>
        </div>
        <p>
Un cas délicat peut se produire quand vous faites un paquet local pour
expérimenter l'empaquetage avant d'envoyer la version normale vers l'archive
officielle, par exemple
<code class="literal"><em class="replaceable"><code>1.0.1</code></em>-<em class="replaceable"><code>1</code></em></code>.
Pour des mises à niveau plus en douceur, il vaut mieux créer une entrée de
<code class="filename">changelog</code> avec une chaîne de version comme
<code class="literal"><em class="replaceable"><code>1.0.1</code></em>-<em class="replaceable"><code>1~rc1</code></em></code>.
Vous pouvez nettoyer le <code class="filename">changelog</code> en fusionnant ces
entrées de modification en une unique entrée pour le paquet
officiel. Consultez <a class="xref" href="first.fr.html#namever" title="2.6. Nom et version de paquet">Section 2.6, « Nom et version de paquet »</a> pour l'ordre des chaînes de
version.
</p>
        <p>
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="inspectnewupstream"/>8.2. Examen d'une nouvelle version amont</h2>
            </div>
          </div>
        </div>
        <p>
Lors de la préparation de paquets d'une nouvelle version amont pour
l'archive Debian, vous devez commencer par vérifier la nouvelle version
amont.
</p>
        <p>
Commencez par lire les <code class="filename">changelog</code> et
<code class="filename">NEWS</code> amonts, ainsi que toute autre documentation
distribuée avec la nouvelle version.
</p>
        <p>
Examinez ensuite les modifications entre les anciennes et nouvelles sources
amont, pour guetter tout changement suspect :
</p>
        <pre class="screen">
$ diff -urN <em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>ancienneversion</code></em> <em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>nouvelleversion</code></em>
</pre>
        <p>
Les modifications de certains fichiers automatiquement créés par Autotools
comme <code class="filename">missing</code>, <code class="filename">aclocal.m4</code>,
<code class="filename">config.guess</code>, <code class="filename">config.h.in</code>,
<code class="filename">config.sub</code>, <code class="filename">configure</code>,
<code class="filename">depcomp</code>, <code class="filename">install-sh</code>,
<code class="filename">ltmain.sh</code> et <code class="filename">Makefile.in</code> peuvent
être ignorées. Vous pouvez les effacer avant d'exécuter
<span class="command"><strong>diff</strong></span> pour examiner les sources.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="newupstream"/>8.3. Nouvelle version amont</h2>
            </div>
          </div>
        </div>
        <p>
Si un paquet <code class="systemitem"><em class="replaceable"><code>toto</code></em></code> est correctement
empaqueté au nouveau format <code class="literal">3.0 (native)</code> ou
<code class="literal">3.0 (quilt)</code>, empaqueter une nouvelle version amont
consiste essentiellement à déplacer l'ancien répertoire
<code class="filename">debian</code> dans les nouvelles sources. Ce peut être réalisé
en exécutant <code class="literal">tar xvzf
/<em class="replaceable"><code>chemin</code></em>/<em class="replaceable"><code>vers</code></em>/<em class="replaceable"><code>toto</code></em>_<em class="replaceable"><code>ancienneversion</code></em>.debian.tar.gz</code>
depuis la nouvelle arborescence source décompressée. <a href="#ftn.idp39936912" class="footnote" id="idp39936912"><sup class="footnote">[80]</sup></a> Bien sûr, vous devez vous occuper de quelques
routines évidentes :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
création d'une copie des sources amont dans un fichier
<code class="filename">toto_<em class="replaceable"><code>nouvelleversion</code></em>.orig.tar.gz</code> ;
</p>
            </li>
            <li class="listitem">
              <p>
mise à jour du ficher <code class="filename">changelog</code> Debian avec
<code class="literal">dch -v
<em class="replaceable"><code>nouvelleversion</code></em>-<em class="replaceable"><code>1</code></em></code> :
</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>
ajout d'une entrée avec <code class="literal">New upstream release.</code> (nouvelle
version amont) ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
description succincte des modifications <span class="emphasis"><em>dans la nouvelle version
amont</em></span> qui corrigent des bogues et ferment les rapports associés
en ajoutant <code class="literal">Closes:
#<em class="replaceable"><code>numéro_de_bogue</code></em></code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
description succincte des modifications <span class="emphasis"><em>à la nouvelle version
amont</em></span> par le responsable qui corrigent des bogues et ferment les
rapports associés en ajoutant <code class="literal">Closes:
#<em class="replaceable"><code>numéro_de_bogue</code></em></code> ;
</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>
application de tous les correctifs en enlevant les approximations
(« <span class="emphasis"><em>fuzz</em></span> ») : <code class="literal">while dquilt push; do dquilt
refresh; done</code>.
</p>
            </li>
          </ul>
        </div>
        <p>
Si la fusion des correctifs ne s'applique pas proprement, examinez la
situation (des indices sont laissés dans les fichiers
<code class="filename">.rej</code>) :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
si un correctif appliqué aux sources a été intégré aux sources amont :
</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>
<code class="literal">dquilt delete</code> pour l'enlever ;
</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>
si un correctif appliqué aux sources entre en confit avec les nouvelles
modifications des sources amont :
</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>
<code class="literal">dquilt push -f</code> pour appliquer les anciens correctifs tout
en forçant les rejets comme
<code class="filename"><em class="replaceable"><code>truc</code></em>.rej</code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
édition manuelle du fichier
<code class="filename"><em class="replaceable"><code>truc</code></em></code> pour obtenir le
résultat attendu de
<code class="filename"><em class="replaceable"><code>truc</code></em>.rej</code> ;
</p>
                  </li>
                  <li class="listitem">
                    <p>
<code class="literal">dquilt refresh</code> pour mettre à jour le correctif ;
</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>
continuer comme d'habitude avec <code class="literal">while dquilt push; do dquilt
refresh; done</code>.
</p>
            </li>
          </ul>
        </div>
        <p>
Cette méthode peut être automatisé avec <span class="citerefentry"><span class="refentrytitle">uupdate</span>(1)</span> :
</p>
        <pre class="screen">
$ apt-get source <em class="replaceable"><code>toto</code></em>
...
dpkg-source: info: extraction de <em class="replaceable"><code>toto</code></em> dans <em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>ancienneversion</code></em>
dpkg-source: info: extraction de <em class="replaceable"><code>toto</code></em>_<em class="replaceable"><code>ancienneversion</code></em>.orig.tar.gz
dpkg-source: info: extraction de <em class="replaceable"><code>toto</code></em>_<em class="replaceable"><code>ancienneversion</code></em>-1.debian.tar.gz
$ ls -F
<em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>ancienneversion</code></em>/
<em class="replaceable"><code>toto</code></em>_<em class="replaceable"><code>ancienneversion</code></em>-1.debian.tar.gz
<em class="replaceable"><code>toto</code></em>_<em class="replaceable"><code>ancienneversion</code></em>-1.dsc
<em class="replaceable"><code>toto</code></em>_<em class="replaceable"><code>ancienneversion</code></em>.orig.tar.gz
$ wget http://example.org/<em class="replaceable"><code>toto</code></em>/<em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>nouvelleversion</code></em>.tar.gz
$ cd <em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>ancienneversion</code></em>
$ uupdate -v <em class="replaceable"><code>nouvelleversion</code></em> ../<em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>nouvelleversion</code></em>.tar.gz
$ cd ../<em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>nouvelleversion</code></em>
$ while dquilt push; do dquilt refresh; done
$ dch
... documentation des modifications réalisées
</pre>
        <p>
Si le fichier <code class="filename">debian/watch</code> est configuré comme décrit
en <a class="xref" href="dother.fr.html#watch" title="5.22. watch">Section 5.22, « <code class="filename">watch</code> »</a>, la commande <span class="command"><strong>wget</strong></span> est
inutile. Exécutez simplement <span class="citerefentry"><span class="refentrytitle">uscan</span>(1)</span> dans le répertoire
<code class="filename"><em class="replaceable"><code>toto</code></em>-<em class="replaceable"><code>ancienneversion</code></em></code>
à la place de la commande <span class="command"><strong>uupdate</strong></span> suffit. Les sources
mises à jour seront <span class="emphasis"><em>automagiquement</em></span> recherchées,
téléchargées, et la commande <span class="command"><strong>uupdate</strong></span> sera
exécutée. <a href="#ftn.idp39985632" class="footnote" id="idp39985632"><sup class="footnote">[81]</sup></a>
</p>
        <p>
Vous pouvez publier ces sources mises à jour en recommençant ce qui a été
fait en <a class="xref" href="build.fr.html#completebuild" title="6.1. Reconstruction complète">Section 6.1, « Reconstruction complète »</a>, <a class="xref" href="checkit.fr.html" title="Chapitre 7. Contrôle des erreurs du paquet">Chapitre 7, <em>Contrôle des erreurs du paquet</em></a> et <a class="xref" href="upload.fr.html" title="Chapitre 9. Envoi de paquet">Chapitre 9, <em>Envoi de paquet</em></a>.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="packagestyle"/>8.4. Mise à jour du style d'empaquetage</h2>
            </div>
          </div>
        </div>
        <p>
La mise à jour du style d'empaquetage n'est pas nécessaire lors de la mise à
jour d'un paquet. Néanmoins, le faire permet de profiter de tout le
potentiel du système <code class="systemitem">debhelper</code>
moderne et du format source <code class="literal">3.0</code> : <a href="#ftn.idp39993344" class="footnote" id="idp39993344"><sup class="footnote">[82]</sup></a>
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
si vous devez, pour quelque raison que ce soit, recréer des fichiers modèles
qui avaient été effacés, vous pouvez exécuter <span class="command"><strong>dh_make</strong></span> à
nouveau depuis le répertoire des sources Debian, avec l'option
<code class="literal">--addmissing</code>. Puis modifiez-les de façon adéquate ;
</p>
            </li>
            <li class="listitem">
              <p>
si le paquet n'a pas été mis à jour pour utiliser la syntaxe
<span class="command"><strong>dh</strong></span> de <code class="systemitem">debhelper</code> v7+ dans le fichier
<code class="filename">debian/rules</code>, mettez-le à jour pour utiliser
<span class="command"><strong>dh</strong></span>. Mettez à jour le fichier
<code class="filename">debian/control</code> en conséquence ;
</p>
            </li>
            <li class="listitem">
              <p>
si vous voulez mettre à jour le fichier <code class="filename">rules</code> créé avec
le mécanisme d'héritage <code class="filename">Makefile</code> du système de
compilation usuel Debian (<code class="systemitem">cdbs</code>) vers
la syntaxe <span class="command"><strong>dh</strong></span>, consultez les documents suivants pour
comprendre ses variables de configuration <code class="literal">DEB_*</code> :
</p>
              <div class="itemizedlist">
                <ul class="itemizedlist">
                  <li class="listitem">
                    <p>copie locale de <code class="filename">/usr/share/doc/cdbs/cdbs-doc.pdf.gz</code> ;</p>
                  </li>
                  <li class="listitem">
                    <p><a class="ulink" href="http://meetings-archive.debian.net/pub/debian-meetings/2009/fosdem/slides/The_Common_Debian_Build_System_CDBS/">Le système de compilation usuel Debian (CDBS),
FOSDEM 2009</a> ;</p>
                  </li>
                </ul>
              </div>
            </li>
            <li class="listitem">
              <p>
si vous avez un paquet source <code class="literal">1.0</code> sans fichier
<code class="filename"><em class="replaceable"><code>toto</code></em>.diff.gz</code>, vous pouvez le
mettre à jour au récent format source <code class="literal">3.0 (native)</code> en
créant <code class="filename">debian/source/format</code> contenant
<code class="literal">3.0 (native)</code>. Le reste des fichiers
<code class="filename">debian/*</code> peut être simplement copié ;
</p>
            </li>
            <li class="listitem">
              <p>
si vous avez un paquet source <code class="literal">1.0</code> avec fichier
<code class="filename"><em class="replaceable"><code>toto</code></em>.diff.gz</code>, vous pouvez le
mettre à jour au récent format source <code class="literal">3.0 (quilt)</code> en
créant <code class="filename">debian/source/format</code> contenant
<code class="literal">3.0 (quilt)</code>. Le reste des fichiers
<code class="filename">debian/*</code> peut être simplement copié. Importez le
fichier <code class="filename">gros.diff</code> créé par la commande
<code class="literal">filterdiff -z -x '*/debian/*'
<em class="replaceable"><code>toto</code></em>.diff.gz &gt; gros.diff</code> dans votre
système <span class="command"><strong>quilt</strong></span>, au besoin ; <a href="#ftn.idp40017184" class="footnote" id="idp40017184"><sup class="footnote">[83]</sup></a>
</p>
            </li>
            <li class="listitem">
              <p>
si l'empaquetage a été créé en utilisant un autre système de correctif comme
<code class="systemitem">dpatch</code>, <code class="systemitem">dbs</code> ou <code class="systemitem">cdbs</code> avec <code class="literal">-p0</code>,
<code class="literal">-p1</code> ou <code class="literal">-p2</code>, convertissez-le à
<code class="systemitem">quilt</code> avec <code class="filename">deb3</code>
disponible en <a class="ulink" href="http://bugs.debian.org/581186">http://bugs.debian.org/581186</a> ;
</p>
            </li>
            <li class="listitem">
              <p>
si l'empaquetage a été créé avec la commande <span class="command"><strong>dh</strong></span> et le
paramètre <code class="literal">--with quilt</code> ou les commandes
<span class="command"><strong>dh_quilt_patch</strong></span> et <span class="command"><strong>dh_quilt_unpatch</strong></span>,
enlevez-les et utilisez le nouveau format source
<code class="literal">3.0 (native)</code>.
</p>
            </li>
          </ul>
        </div>
        <p>
Vous devriez consulter les <a class="ulink" href="http://dep.debian.net/">propositions d'améliorations
Debian (DEP - Debian Enhancement Proposals)</a> et adopter les
propositions marquées « ACCEPTED ».
</p>
        <p>
Les autres tâches décrites en <a class="xref" href="update.fr.html#newupstream" title="8.3. Nouvelle version amont">Section 8.3, « Nouvelle version amont »</a> sont aussi à
effectuer.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="utf8"/>8.5. Conversion en UTF-8</h2>
            </div>
          </div>
        </div>
        <p>
Si les documents amonts sont encodés avec d'anciens jeux de caractères, les
convertir en <a class="ulink" href="http://fr.wikipedia.org/wiki/UTF-8">UTF-8</a> peut être utile :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
avec <span class="citerefentry"><span class="refentrytitle">iconv</span>(1)</span> pour convertir l'encodage de
fichiers texte :
</p>
              <pre class="screen">
iconv -f latin1 -t utf8 <em class="replaceable"><code>truc_entrée.txt</code></em> &gt; <em class="replaceable"><code>truc_sortie.txt</code></em>
</pre>
            </li>
            <li class="listitem">
              <p>
avec <span class="citerefentry"><span class="refentrytitle">w3m</span>(1)</span> pour convertir les fichiers HTML en
fichier texte UTF-8. Assurez-vous d'exécuter cette commande avec des
paramètres régionaux en UTF-8 :
</p>
              <pre class="screen">
LC_ALL=en_US.UTF-8 w3m -o display_charset=UTF-8 \
        -cols 70 -dump -no-graph -T text/html \
        &lt; <em class="replaceable"><code>foo_in.html</code></em> &gt; <em class="replaceable"><code>truc_sortie.txt</code></em>
</pre>
            </li>
          </ul>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="reminders"/>8.6. Rappels pour la mise à jour de paquets</h2>
            </div>
          </div>
        </div>
        <p>
Voici quelques rappels pour la mise à jour de paquets :
</p>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
préservez les anciennes entrées <code class="filename">changelog</code> (cela va de
soit, mais des personnes ont parfois utilisé <code class="literal">dch</code> au lieu
de <code class="literal">dch -i</code>) ;
</p>
            </li>
            <li class="listitem">
              <p>
les modifications Debian existantes doivent être réévaluées ; jetez tout ce
qui a été incorporé en amont (sous une forme ou une autre), et souvenez-vous
de garder ce qui ne l'a pas été, à moins qu'il n'y ait une bonne raison de
ne pas le faire ;
</p>
            </li>
            <li class="listitem">
              <p>
si le système de construction a été modifié (avec un peu de chance, vous
êtes au courant depuis l'inspection des modifications amont), mettez à jour
les dépendances de construction <code class="filename">debian/rules</code> et
<code class="filename">debian/control</code>, si besoin est ;
</p>
            </li>
            <li class="listitem">
              <p>
vérifiez dans le <a class="ulink" href="http://www.debian.org/Bugs/">système de gestion de bogues
(BTS)</a> que personne n'a fourni de correctifs aux bogues ouverts ;
</p>
            </li>
            <li class="listitem">
              <p>
vérifiez le contenu du fichier <code class="filename">.changes</code> pour vous
assurer que vous envoyez vers la bonne distribution, que les rapports de
bogue refermés sont correctement listés dans les champs
<code class="literal">Closes</code>, que les champs <code class="literal">Maintainer</code> et
<code class="literal">Changed-By</code> correspondent, que le fichier est signé avec
GPG, etc.
</p>
            </li>
          </ul>
        </div>
      </div>
      <div class="footnotes">
        <br/>
        <hr/>
        <div id="ftn.idp39901104" class="footnote">
          <p><a href="#idp39901104" class="para"><sup class="para">[78] </sup></a>Pour obtenir la date au format voulu, utilisez <code class="literal">LANG=C date
-R</code>.
</p>
        </div>
        <div id="ftn.idp39910880" class="footnote">
          <p><a href="#idp39910880" class="para"><sup class="para">[79] </sup></a>Si vous utilisez la commande <code class="literal">dch -r</code> pour faire cette
dernière modification, n'oublier pas de sauver le fichier
<code class="filename">changelog</code> explicitement dans l'éditeur.</p>
        </div>
        <div id="ftn.idp39936912" class="footnote">
          <p><a href="#idp39936912" class="para"><sup class="para">[80] </sup></a> Si un paquet <code class="systemitem"><em class="replaceable"><code>toto</code></em></code> est empaqueté
avec l'ancien format <code class="literal">1.0</code>, ce peut plutôt être réalisé en
exécutant <code class="literal">zcat
/<em class="replaceable"><code>chemin</code></em>/<em class="replaceable"><code>vers</code></em>/<em class="replaceable"><code>toto</code></em>_<em class="replaceable"><code>ancienneversion</code></em>.diff.gz|patch
-p1</code> depuis la nouvelle arborescence source décompressée.  </p>
        </div>
        <div id="ftn.idp39985632" class="footnote">
          <p><a href="#idp39985632" class="para"><sup class="para">[81] </sup></a> Si la commande <span class="command"><strong>uscan</strong></span> télécharge les sources mises à jour
mais n'exécute pas la commande <span class="command"><strong>uupdate</strong></span>, vous devriez
corriger le fichier <code class="filename">debian/watch</code> pour avoir
<code class="literal">debian uupdate</code> après l'URL.  </p>
        </div>
        <div id="ftn.idp39993344" class="footnote">
          <p><a href="#idp39993344" class="para"><sup class="para">[82] </sup></a> Si votre parrain ou d'autres responsables s'opposent à la mise à jour du
style d'empaquetage existant, ne vous embêtez pas à argumenter. Il y a des
choses plus importantes à faire.  </p>
        </div>
        <div id="ftn.idp40017184" class="footnote">
          <p><a href="#idp40017184" class="para"><sup class="para">[83] </sup></a>
vous pouvez découper <code class="filename">gros.diff</code> en plusieurs petits
correctifs incrémentaux avec la commande <span class="command"><strong>splitdiff</strong></span>.  </p>
        </div>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="checkit.fr.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="upload.fr.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top">Chapitre 7. Contrôle des erreurs du paquet </td>
          <td align="center">
            <a accesskey="h" href="index.fr.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> Chapitre 9. Envoi de paquet</td>
        </tr>
      </table>
    </div>
  </body>
</html>
